cURL
curl --request PUT \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}' \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"attributes": {
"default_value": "Default",
"include_time": false,
"options": [
"Option 1",
"Option 2",
"Option 3"
],
"table_reference": {
"display_name_field": "Name",
"table_name": "Table 1"
}
},
"display_name": "Test",
"type": "single-select"
}'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}"
payload = {
"attributes": {
"default_value": "Default",
"include_time": False,
"options": [
"Option 1",
"Option 2",
"Option 3"
],
"table_reference": {
"display_name_field": "Name",
"table_name": "Table 1"
}
},
"display_name": "Test",
"type": "single-select"
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.request("PUT", url, json=payload, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}';
const options = {
method: 'PUT',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
"attributes": {
"default_value": "Default",
"include_time": false,
"options": [
"Option 1",
"Option 2",
"Option 3"
],
"table_reference": {
"display_name_field": "Name",
"table_name": "Table 1"
}
},
"display_name": "Test",
"type": "single-select"
})
};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => '{"attributes":{"default_value":"Default","include_time":false,"options":["Option 1","Option 2","Option 3"],"table_reference":{"display_name_field":"Name","table_name":"Table 1"}},"display_name":"Test","type":"single-select"}',
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}"
payload := strings.NewReader(`{"attributes":{"default_value":"Default","include_time":false,"options":["Option 1","Option 2","Option 3"],"table_reference":{"display_name_field":"Name","table_name":"Table 1"}},"display_name":"Test","type":"single-select"}`)
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("BLINK-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}")
.header("BLINK-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\"attributes\":{\"default_value\":\"Default\",\"include_time\":false,\"options\":[\"Option 1\",\"Option 2\",\"Option 3\"],\"table_reference\":{\"display_name_field\":\"Name\",\"table_name\":\"Table 1\"}},\"display_name\":\"Test\",\"type\":\"single-select\"}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["BLINK-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\"attributes\":{\"default_value\":\"Default\",\"include_time\":false,\"options\":[\"Option 1\",\"Option 2\",\"Option 3\"],\"table_reference\":{\"display_name_field\":\"Name\",\"table_name\":\"Table 1\"}},\"display_name\":\"Test\",\"type\":\"single-select\"}"
response = http.request(request)
puts response.read_body
{
"attributes": {},
"created_at": 123,
"created_by": "<string>",
"description": "<string>",
"display_name": "<string>",
"id": "<string>",
"indexes": {},
"name": "<string>",
"table_id": "<string>",
"tenant_id": "<string>",
"type": "<string>",
"updated_at": 123,
"updated_by": "<string>",
"workspace_id": "<string>"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Tables
Updates Field for Table
API endpoint to update a field value in a Blink table record.
PUT
/
workspace
/
{ws_id}
/
table
/
{table}
/
fields
/
{field}
cURL
curl --request PUT \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}' \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"attributes": {
"default_value": "Default",
"include_time": false,
"options": [
"Option 1",
"Option 2",
"Option 3"
],
"table_reference": {
"display_name_field": "Name",
"table_name": "Table 1"
}
},
"display_name": "Test",
"type": "single-select"
}'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}"
payload = {
"attributes": {
"default_value": "Default",
"include_time": False,
"options": [
"Option 1",
"Option 2",
"Option 3"
],
"table_reference": {
"display_name_field": "Name",
"table_name": "Table 1"
}
},
"display_name": "Test",
"type": "single-select"
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.request("PUT", url, json=payload, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}';
const options = {
method: 'PUT',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
"attributes": {
"default_value": "Default",
"include_time": false,
"options": [
"Option 1",
"Option 2",
"Option 3"
],
"table_reference": {
"display_name_field": "Name",
"table_name": "Table 1"
}
},
"display_name": "Test",
"type": "single-select"
})
};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => '{"attributes":{"default_value":"Default","include_time":false,"options":["Option 1","Option 2","Option 3"],"table_reference":{"display_name_field":"Name","table_name":"Table 1"}},"display_name":"Test","type":"single-select"}',
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}"
payload := strings.NewReader(`{"attributes":{"default_value":"Default","include_time":false,"options":["Option 1","Option 2","Option 3"],"table_reference":{"display_name_field":"Name","table_name":"Table 1"}},"display_name":"Test","type":"single-select"}`)
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("BLINK-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}")
.header("BLINK-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\"attributes\":{\"default_value\":\"Default\",\"include_time\":false,\"options\":[\"Option 1\",\"Option 2\",\"Option 3\"],\"table_reference\":{\"display_name_field\":\"Name\",\"table_name\":\"Table 1\"}},\"display_name\":\"Test\",\"type\":\"single-select\"}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["BLINK-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\"attributes\":{\"default_value\":\"Default\",\"include_time\":false,\"options\":[\"Option 1\",\"Option 2\",\"Option 3\"],\"table_reference\":{\"display_name_field\":\"Name\",\"table_name\":\"Table 1\"}},\"display_name\":\"Test\",\"type\":\"single-select\"}"
response = http.request(request)
puts response.read_body
{
"attributes": {},
"created_at": 123,
"created_by": "<string>",
"description": "<string>",
"display_name": "<string>",
"id": "<string>",
"indexes": {},
"name": "<string>",
"table_id": "<string>",
"tenant_id": "<string>",
"type": "<string>",
"updated_at": 123,
"updated_by": "<string>",
"workspace_id": "<string>"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Field name
Table name
Body
application/json
Updated field data
Was this page helpful?